CREATE PROCEDURE [dbo].[CP_Cbtes_Fac_Generar_Item] 
	@Id_Trans		VARCHAR(20),
	@Item		INT,
	@Id_Producto CHAR(14),
	@Nota		VARCHAR(200),
	@Importe	DECIMAL(12,2),
	@Desde		DATETIME,
	@Hasta		DATETIME
AS 
--SET NOCOUNT ON 
DECLARE @descripcion_producto	VARCHAR(100)
		,@id_cliente			INT
		,@Mensaje				VARCHAR(100)

BEGIN TRY
	BEGIN TRAN


	SET @descripcion_producto = (SELECT Descripcion_Resumida FROM Productos WHERE Id_Producto  = @Id_Producto)

	SET @id_cliente = (SELECT id_cliente FROM Cbtes WHERE Id_Trans = @Id_Trans)

	INSERT INTO Cbtes_Items		(id_cliente,		descripcion_producto,		Cantidad,
							id_estado_Cbte,		Cantidad_Saldo,				Id_Trans,
							item,				Precio_Grav,				Imp_Gravado,
							Imp_Final,			Precio,						Lote,
							Fecha_QA,			Flag_QA,					Id_Producto,
							Fecha_Venc)
				VALUES		(@id_cliente,		RTRIM(@descripcion_producto),1,
							0,					1,							@Id_Trans,
							@Item,				@Importe,					@Importe,
							@Importe,			@Importe,					'',
							@Desde,				'A',						@Id_Producto,
							@Hasta)


	COMMIT

	SELECT	 0					AS ErrorNumber 
			,0					AS ErrorSeverity  
			,0					AS ErrorState 
			,0					AS ErrorProcedure  
			,0					AS ErrorLine		
			,@Mensaje			AS ErrorMessage

END TRY  


BEGIN CATCH  
    EXECUTE usp_GetErrorInfo;  
	ROLLBACK
END CATCH;   
